## NAME

gt-speck - Checks spec definition compliance in GFF3 input.

## SYNOPSIS

gt speck [options] [GFF3_file …]

## DESCRIPTION

-specfile [filename]

  file with specification definition (default: undefined)

-colored [yes|no]

  show colored output (default: yes)

-provideindex [yes|no]

  provide feature index in specfile namespace (requires O(n) memory for n input features) (default: no)

-sort [yes|no]

  sort input before checking (requires O(n) memory for n input features) (default: no)

-failhard [yes|no]

  stop processing and report runtime errors instead of recording them in the results (default: no)

-output [string]

  output format choose from: [json, text, html, statsonly, tabular] or give path to output driver (default: text)

-typecheck [string]

  use an ontology given in an OBO file to validate parent-child relationships. If no argument is given, the sofa.obo file from the gtdata/obo_files directory is used. If an argument is given, it is used as an OBO filename. In the case that such a file does not exist .obo is added to the argument and loading the resulting filename from the gtdata/obo_files directory is attempted. (default: so)

-seqfile [filename]

  set the sequence file from which to take the sequences (default: undefined)

-encseq [filename]

  set the encoded sequence indexname from which to take the sequences (default: undefined)

-seqfiles

  set the sequence files from which to extract the features use -- to terminate the list of sequence files

-matchdesc [yes|no]

  search the sequence descriptions from the input files for the desired sequence IDs (in GFF3), reporting the first match (default: no)

-matchdescstart [yes|no]

  exactly match the sequence descriptions from the input files for the desired sequence IDs (in GFF3) from the beginning to the first whitespace (default: no)

-usedesc [yes|no]

  use sequence descriptions to map the sequence IDs (in GFF3) to actual sequence entries. If a description contains a sequence range (e.g., III:1000001..2000000), the first part is used as sequence ID (III) and the first range position as offset (1000001) (default: no)

-regionmapping [string]

  set file containing sequence-region to sequence file mapping (default: undefined)

-o [filename]

  redirect output to specified file (default: undefined)

-gzip [yes|no]

  write gzip compressed output file (default: no)

-bzip2 [yes|no]

  write bzip2 compressed output file (default: no)

-force [yes|no]

  force writing to output file (default: no)

-v [yes|no]

  be verbose (default: no)

-help

  display help and exit

-version

  display version information and exit

## REPORTING BUGS

Report bugs to https://github.com/genometools/genometools/issues.